Pyluxcoretool exe not working on Windows

Discussion related to the Engine functionality, implementations and API.
acasta69
Developer
Posts: 140
Joined: Tue Jan 09, 2018 3:45 pm

Pyluxcoretool exe not working on Windows

Post by acasta69 » Mon Feb 11, 2019 9:01 am

Hi, I'm getting this error when running pyluxcoretool.exe from recent Windows builds:

Code: Select all

Exception: [Errno 2] No such file or directory: 'C:\\support\\signature\\loader.py'
Traceback (most recent call last):
  File "pyscript", line 23, in bootstrap
FileNotFoundError: [Errno 2] No such file or directory: 'C:\\support\\signature\\loader.py'
AttributeError: module 'signature_loader' has no attribute 'pyside_type_init'
SystemError: could not initialize part 2

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "site-packages\PyInstaller\loader\rthooks\pyi_rth_pkgres.py", line 11, in <module>
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
  File "site-packages\pkg_resources\__init__.py", line 33, in <module>
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
  File "platform.py", line 117, in <module>
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
  File "subprocess.py", line 50, in <module>
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
  File "signal.py", line 45, in <module>
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\functools.py", line 60, in update_wrapper
SystemError: <method-wrapper '__get__' of getset_descriptor object at 0x000000000012A900> returned a result with an error set
[5100] Failed to execute script pyi_rth_pkgres
I am not 100% sure if it's a local problem of mine: is there any Windows user that could please check if network rendering is working with the latest build?
Otherwise, it must be a problem either in PyInstaller or in the latest PySide2 version, 5.12.1 and I'll set automated builds to use the previous PySide2 version until I find a solution.
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

User avatar
Dade
Developer
Posts: 2271
Joined: Mon Dec 04, 2017 8:36 pm

Re: Pyluxcoretool exe not working on Windows

Post by Dade » Mon Feb 11, 2019 10:21 am

Yup, I'm getting the same error from the latest build.
Support LuxCoreRender project with salts and bounties

acasta69
Developer
Posts: 140
Joined: Tue Jan 09, 2018 3:45 pm

Re: Pyluxcoretool exe not working on Windows

Post by acasta69 » Mon Feb 11, 2019 10:40 am

Thanks Dade, for the time being I've modified the version in automated builds (5.12.0 was working fine).
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

acasta69
Developer
Posts: 140
Joined: Tue Jan 09, 2018 3:45 pm

Re: Pyluxcoretool exe not working on Windows

Post by acasta69 » Sun Mar 03, 2019 10:27 am

Hi, different problem on this executable: I've just noticed the following error when using pyluxcoretool.exe from latest 2.2alpha0 (both in standalone and BlendLuxCore):

Code: Select all

C:\Users\xxx\Desktop\BlendLuxCore\bin>pyluxcoretool.exe
Traceback (most recent call last):
  File "C:\Users\xxx\AppData\Local\Temp\_MEI105402\pyluxcoretools.zip\pyluxcoretools\pyluxcoremenu\cmd.py", line 25, in <module>
ImportError: No module named 'PySide'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "pyluxcoretool.py", line 44, in <module>
  File "C:\Users\xxx\AppData\Local\Temp\_MEI105402\pyluxcoretools.zip\pyluxcoretools\pyluxcoremenu\cmd.py", line 30, in <module>
ImportError: No module named 'PySide2'
[13660] Failed to execute script pyluxcoretool
I think I've set up Windows builds so that they can use both PySide and PySide2, but here it seems that none of them has been found and packed by PyInstaller... :?:
Dade, B.Y.O.B., could you please check your PySide(2) install?

P.S. By the way, I'd like to help you with packing of Windows binaries if possible. I am not present as much as you, so I could be a bit late every now and then, but if you think this can be ok and of any help to you, just let me know. ;)
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

User avatar
Dade
Developer
Posts: 2271
Joined: Mon Dec 04, 2017 8:36 pm

Re: Pyluxcoretool exe not working on Windows

Post by Dade » Sun Mar 03, 2019 11:03 am

acasta69 wrote:
Sun Mar 03, 2019 10:27 am
I think I've set up Windows builds so that they can use both PySide and PySide2, but here it seems that none of them has been found and packed by PyInstaller... :?:
Dade, B.Y.O.B., could you please check your PySide(2) install?
The pyluxcoretool.win.spec seems to look only for PySide2, not PySide1 and I have only PySide1 installed. I guess that is the source of the problem :idea:
acasta69 wrote:
Sun Mar 03, 2019 10:27 am
P.S. By the way, I'd like to help you with packing of Windows binaries if possible. I am not present as much as you, so I could be a bit late every now and then, but if you think this can be ok and of any help to you, just let me know. ;)
Yes, sure, you are welcome ... to relief me from having to use Windows :mrgreen:
Support LuxCoreRender project with salts and bounties

acasta69
Developer
Posts: 140
Joined: Tue Jan 09, 2018 3:45 pm

Re: Pyluxcoretool exe not working on Windows

Post by acasta69 » Sun Mar 03, 2019 11:19 am

Dade wrote:
Sun Mar 03, 2019 11:03 am
The pyluxcoretool.win.spec seems to look only for PySide2, not PySide1 and I have only PySide1 installed. I guess that is the source of the problem :idea:
I've overlooked that... :oops:
I'll try to fix it in the afternoon, but... you could upgrade to PySide2 on Windows, no?... :mrgreen:
Dade wrote:
Sun Mar 03, 2019 11:03 am
Yes, sure, you are welcome ... to relief me from having to use Windows :mrgreen:
Sometimes I think I begin to understand this :lol:
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

acasta69
Developer
Posts: 140
Joined: Tue Jan 09, 2018 3:45 pm

Re: Pyluxcoretool exe not working on Windows

Post by acasta69 » Sun Mar 03, 2019 4:36 pm

acasta69 wrote:
Sun Mar 03, 2019 11:19 am
Dade wrote:
Sun Mar 03, 2019 11:03 am
The pyluxcoretool.win.spec seems to look only for PySide2, not PySide1 and I have only PySide1 installed. I guess that is the source of the problem :idea:
I've overlooked that... :oops:
I'll try to fix it in the afternoon, but... you could upgrade to PySide2 on Windows, no?... :mrgreen:
The pyluxcoretool.win.spec can now detect PySide or PySide2 install.

Apparently there's a new problem since some days: installation of PyInstaller in the Azure VM fails for some reason, so no pyluxcoretool.exe is generated in automated builds. I'm looking into this.
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

acasta69
Developer
Posts: 140
Joined: Tue Jan 09, 2018 3:45 pm

Re: Pyluxcoretool exe not working on Windows

Post by acasta69 » Sun Mar 03, 2019 5:36 pm

acasta69 wrote:
Sun Mar 03, 2019 4:36 pm
Apparently there's a new problem since some days: installation of PyInstaller in the Azure VM fails for some reason, so no pyluxcoretool.exe is generated in automated builds. I'm looking into this.
This should be fixed too, it was probably a bug in the pip version currently used in Azure.
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

User avatar
Dade
Developer
Posts: 2271
Joined: Mon Dec 04, 2017 8:36 pm

Re: Pyluxcoretool exe not working on Windows

Post by Dade » Sun Mar 03, 2019 9:31 pm

acasta69 wrote:
Sun Mar 03, 2019 5:36 pm
This should be fixed too, it was probably a bug in the pip version currently used in Azure.
Good, thanks.
Support LuxCoreRender project with salts and bounties

Fox
Posts: 180
Joined: Sat Mar 31, 2018 11:17 am

Re: Pyluxcoretool exe not working on Windows

Post by Fox » Fri Mar 08, 2019 9:31 pm

The build i did today with "pip install pyside2==5.12.0 shiboken2==5.12.0"
there is no pyluxcoretool.exe
Maybe i need to go back to new pyside?

Post Reply